local _, core = ...;
core.DBmounts = {};
core.Loadmounts = {};

local function loadMounts()
core.DBmounts = {
	[1] = {
		id = 1,
		faction = "Neutral",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(1057)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(1057)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/serpent_naz_good",
		Model = { id = 74316,
				camDist = 0.75,
				rotation = 1,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/serpent_naz_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_naz_page1-1",
						title = core.L["Corrupteur"],
						onMap = {
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/serpent_naz_page1-1",
							nameNPC = core.L["Corrupteur"],
							nameZone = core.L["Stormsong Valley"].." ("..core.L["KulTiras"]..")",
							pins = {
								{
									x = 0.6713,
									y = 0.4333,
									zone = 942,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpSerpentP1S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 161344,
									itemInfo = {GetItemInfo(161344)},
									itemIcon = "interface/icons/inv_enchant_voidcrystal",
									nbNeed = 20,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Corrupteur"],
											pourcentageDrop = 1.3,
										},
										[2] = {
											nameNPC = core.L["Sectateur"],
											pourcentageDrop = 0.9,
										},
									},
									path = "1,1,1,1",
									done = DoneMountTask2[1]["page"][1]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/serpent_naz_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_naz_page2-1",
						title = core.L["Entrance"],
						onMap = {
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/serpent_naz_page2-1",
							nameNPC = core.L["Entrance"],
							nameZone = core.L["Stormsong Valley"].." ("..core.L["KulTiras"]..")",
							pins = {
								{
									x = 0.7365,
									y = 0.2343,
									zone = 942,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpSerpentP2S1"],
						task = { 
							[1] = { id = 1,
								["need"] = {
									itemId = 161345,
									itemInfo = {GetItemInfo(161345)},
									itemIcon = "interface/icons/inv_elemental_primal_shadow",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 161344,
											nbNeed = 20,
										},
									},
									path = "1,2,1,1",
									done = DoneMountTask2[1]["page"][2]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/serpent_naz_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_naz_page3-1",
						title = core.L["Entrance"],
						onMap = {
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/serpent_naz_page3-1",
							nameNPC = core.L["Entrance"],
							nameZone = core.L["Stormsong Valley"].." ("..core.L["KulTiras"]..")",
							pins = {
								{
									x = 0.4660,
									y = 0.3610,
									zone = 942,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_naz_page3-2",
						title = core.L["IconeAbyssal"],
						onMap = {
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/serpent_naz_page3-2",
							nameNPC = core.L["IconeAbyssal"],
							nameZone = core.L["Saltstone Mine"]..", "..core.L["Stormsong Valley"].." ("..core.L["KulTiras"]..")",
							pins = {
								{
									x = 0.5965,
									y = 0.5413,
									zone = 1182,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpSerpentP3S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 161479,
									itemInfo = {GetItemInfo(161479)},
									itemIcon = "interface/icons/inv_serpentmount_red",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Adhérent"],
											pourcentageDrop = 0,
										},
									},
									done = core.libs.getCompletedMount(1057);
								},
							},
						},
					},
				},
			},
		},
	},
	[2] = {
		id = 2,
		faction = "Alliance",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(1013)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(1013)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/bee_good",
		Model = { id = 81967,
				camDist = 1.25,
				rotation = 1,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/bee_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/bee_page1-1",
						title = core.L["Ancel"],
						onMap = {
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/bee_page1-1",
							nameNPC = core.L["Ancel"],
							nameZone = core.L["Stormsong Valley"].." ("..core.L["KulTiras"]..")",
							pins = {
								{
									x = 0.6888,
									y = 0.6516,
									zone = 942,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpBeeP1S1"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50343), 
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50343)},
							},
							
						},
					},
					[2] = { id = 2,
						help = core.L["HelpBeeP1S2"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50553), 
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50553)},
							},
							
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/bee_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/bee_page2-1",
						title = core.L["BeeMob"],
						onMap = {
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/bee_page2-1",
							nameNPC = core.L["BeeMob"],
							nameZone = core.L["Stormsong Valley"].." ("..core.L["KulTiras"]..")",
							pins = {
								{
									x = 0.4550,
									y = 0.3203,
									zone = 942,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/bee_page2-2",
						title = core.L["Rosaline"],
						onMap = {
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/bee_page2-2",
							nameNPC = core.L["Rosaline"],
							nameZone = core.L["Boralus"].." ("..core.L["KulTiras"]..")",
							pins = {
								{
									x = 0.5261,
									y = 0.4792,
									zone = 1161,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpBeeP2S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 163699,
									itemInfo = {GetItemInfo(163699)},
									itemIcon = "interface/icons/inv_jewelry_necklace_56",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["BeeMob"],
											pourcentageDrop = 0.8,
										},
									},
									path = "2,2,1,1",
									done = DoneMountTask2[2]["page"][2]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						help = core.L["HelpBeeP2S2"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 163702,
									itemInfo = {GetItemInfo(163702)},
									itemIcon = "interface/icons/inv_letter_13",
									nbNeed = 1,
									path = "2,2,2,1",
									done = DoneMountTask2[2]["page"][2]["step"][2]["task"][1]["done"],
								},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(53347), 
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(53347)},
							},
							[2] = { id = 2,
								["hf"] = {GetAchievementInfo(13062)},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/bee_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/bee_page3-1",
						title = core.L["Barry"],
						onMap = {
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/bee_page3-1",
							nameNPC = core.L["Barry"],
							nameZone = core.L["Stormsong Valley"].." ("..core.L["KulTiras"]..")",
							pins = {
								{
									x = 0.6889,
									y = 0.6439,
									zone = 942,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/bee_page3-2",
						title = core.L["theHive"],
						onMap = {
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/bee_page3-2",
							nameNPC = core.L["theHive"],
							nameZone = core.L["Stormsong Valley"].." ("..core.L["KulTiras"]..")",
							pins = {
								{							
									x = 0.6278,
									y = 0.2637,
									zone = 942,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["custom"] = {
									title = core.L["BeeP3S1T1"],
									desc = core.L["BeeP3S1T1Desc"],
									path = "2,3,1,1",
									done = DoneMountTask2[2]["page"][3]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["custom"] = {
									title = core.L["theHive"],
									desc = core.L["BeeP3S1T2Desc"],
									path = "2,3,1,2",
									done = DoneMountTask2[2]["page"][3]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["custom"] = {
									title = core.L["Jelly"],
									desc = core.L["BeeP3S1T3Desc"],
									path = "2,3,1,3",
									done = DoneMountTask2[2]["page"][3]["step"][1]["task"][3]["done"],
								},
							},
							[4] = { id = 4,
								["custom"] = {
									title = core.L["BeeFaction"],
									desc = core.L["BeeP3S1T4Desc"],
									path = "2,3,1,4",
									done = DoneMountTask2[2]["page"][3]["step"][1]["task"][4]["done"],
								},
							},
						},
					},
				},
			},
			[4] = { id = 4,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/bee_page4",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/bee_page4-1",
						title = core.L["Emmielleur"],
						onMap = {
							nameNPC = core.L["Emmielleur"],
							nameZone = core.L["Stormsong Valley"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/bee_page4-1",
							pins = {
								{							
									x = 0.6152,
									y = 0.1568,
									zone = 942,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/bee_page4-2",
						title = core.L["Events"],
						onMap = {
							nameNPC = core.L["Events"],
							nameZone = core.L["Stormsong Valley"].." ("..core.L["KulTiras"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/bee_page4-2",
							pins = {
								{							
									x = 0.2566,
									y = 0.7224,
									zone = 942,
								},
								{							
									x = 0.6301,
									y = 0.2131,
									zone = 942,
								},
								{							
									x = 0.6189,
									y = 0.3195,
									zone = 942,
								},
								{							
									x = 0.3305,
									y = 0.3243,
									zone = 942,
								},
								{							
									x = 0.5717,
									y = 0.5125,
									zone = 942,
								},
								{							
									x = 0.4093,
									y = 0.6214,
									zone = 942,
								},
								{							
									x = 0.7232,
									y = 0.5224,
									zone = 942,
								},
								{							
									x = 0.6630,
									y = 0.7000,
									zone = 942,
								},
								{							
									x = 0.4300,
									y = 0.3300,
									zone = 942,
								},
								{							
									x = 0.4700,
									y = 0.3200,
									zone = 942,
								},
								{							
									x = 0.6900,
									y = 0.7000,
									zone = 942,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpBeeP4S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 170069,
									itemInfo = {GetItemInfo(170069)},
									itemIcon = "interface/icons/inv_bee_default",
									nbNeed = 1,
									["quest"] = {
										title = C_QuestLog.GetQuestInfo(56108),
									},
									done = core.libs.getCompletedMount(1013);
								},
							},
							
						},
					},
				},
			},
		},
	},
	[3] = {
		id = 3,
		faction = "Horde",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(1043)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(1043)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/kuafon_good",
		Model = { id = 89375,
				camDist = 0.75,
				rotation = 1,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/kuafon_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/kuafon_page1-1",
						title = core.L["Pterreur"],
						stepAssigned = 1,
						onMap = {
							nameNPC = core.L["Pterreur"],
							nameZone = core.L["Zuldazar"].." ("..core.L["Zandalar"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/kuafon_page1-1",
							pins = {
								{							
									x = 0.6699,
									y = 0.3310,
									zone = 862,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpKuafonP1S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 157782,
									itemInfo = {GetItemInfo(157782)},
									itemIcon = "interface/icons/inv_egg_03",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Pterreur"],
											pourcentageDrop = 0.04,
										},
									},
									path = "3,1,1,1",
									done = DoneMountTask2[3]["page"][1]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50393), 
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50393)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50394), 
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50394)},
							},
							[3] = { id = 3,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50402), 
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50402)},
							},
							[4] = { id = 4,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(52305), 
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(52305)},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/kuafon_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/kuafon_page2",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50395),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50395)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50401),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50401)},
							},
							[3] = { id = 3,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50412),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50412)},
							},
							[4] = { id = 4,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(52447),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(52447)},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/kuafon_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/kuafon_page3",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50396),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50395)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50886),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50886)},
							},
							[3] = { id = 3,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50887),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50887)},
							},
							[4] = { id = 4,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50900),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50900)},
							},
							[5] = { id = 5,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(52748),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(52748)},
							},
						},
					},
				},
			},
			[4] = { id = 4,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/kuafon_page4",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/kuafon_page4",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50397),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50397)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50940),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50940)},
							},
							[3] = { id = 3,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50942),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50942)},
							},
							[4] = { id = 4,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50943),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50943)},
							},
							[5] = { id = 5,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(50944),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(50944)},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(56205),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(56205)},
							},
						},
					},

				},
			},
		},
	},
	[4] = {
		id = 4,
		faction = "Neutral",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(1258)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(1258)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/fabious_good",
		Model = { id = 88771,
				camDist = 0.9,
				rotation = 1,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/fabious_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/fabious_page1",
						title = core.L["Fabious"],
						onMap = {
							nameNPC = core.L["Fabious"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/fabious_page1-1",
							pins = {
								{							
									x = 0.2687,
									y = 0.3085,
									zone = 1355,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpFabiousP1S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 122674,
									itemInfo = {GetItemInfo(122674)},
									itemIcon = "interface/icons/inv_misc_ selfiecamera_01",
									nbNeed = 1,
									["create"] = {
									[1] = {
											compoId = 122661,
											nbNeed = 1,
										},
									},
									path = "4,1,1,1",
									done = DoneMountTask2[4]["page"][1]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						help = core.L["HelpFabiousP1S2"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 169201,
									itemInfo = {GetItemInfo(169201)},
									itemIcon = "interface/icons/inv_hippocampusmount_white",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Fabious"],
											pourcentageDrop = 0,
										},
									},
									done = core.libs.getCompletedMount(1258),
								},
							},
						},
					},
				},
			},
		},
	},
	[5] = {
		id = 5,
		faction = "Horde",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(1260)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(1260)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_good",
		Model = { id = 88770,
				camDist = 0.9,
				rotation = 1,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_page1",
						title = C_QuestLog.GetQuestInfo(55530),
						stepAssigned = 1,
						onMap = {
							nameNPC = C_QuestLog.GetQuestInfo(55530),
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/quest_map",
							pins = {
								{							
									x = 0.4820,
									y = 0.4520,
									zone = 1355,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpEtalonP1S1"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(55530),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(55530)},
							},
						},
					},
					[2] = { id = 2,
						helpI = core.L["HelpEtalonP1S2"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(55529),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(55529)},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_page2-1",
						title = core.L["Murloco"],
						onMap = {
							nameNPC = core.L["Murloco"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page2-1",
							pins = {
								{							
									x = 0.4560,
									y = 0.3240,
									zone = 1355,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpEtalonP2S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 170100,
									itemInfo = {GetItemInfo(170100)},
									itemIcon = "interface/icons/inv_misc_food_111_icefinfillet",
									nbNeed = 1,
									["vendor"] = {core.L["Murloco"]},
									path = "5,2,1,1",
									done = DoneMountTask2[5]["page"][2]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-1",
						title = core.L["Hrrlgrl"],
						onMap = {
							nameNPC = core.L["Hrrlgrl"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-1",
							pins = {
								{							
									x = 0.4780,
									y = 0.6300,
									zone = 1355,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-2",
						title = core.L["Flrgrrl"],
						onMap = {
							nameNPC = core.L["Flrgrrl"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-2",
							pins = {
								{							
									x = 0.4700,
									y = 0.6260,
									zone = 1355,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-3",
						title = core.L["Mrrglrlr"],
						onMap = {
							nameNPC = core.L["Mrrglrlr"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-3",
							pins = {
								{							
									x = 0.4840,
									y = 0.6260,
									zone = 1355,
								},
							}
						}
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-4",
						title = core.L["Grrmrlg"],
						onMap = {
							nameNPC = core.L["Grrmrlg"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-4",
							pins = {
								{							
									x = 0.4760,
									y = 0.6160,
									zone = 1355,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpEtalonP3S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167915,
									itemInfo = {GetItemInfo(167915)},
									itemIcon = "interface/icons/inv_misc_food_vendor_mogupumpkin",
									nbNeed = 128,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "5,3,1,1",
									done = DoneMountTask2[5]["page"][3]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167911,
									itemInfo = {GetItemInfo(167911)},
									itemIcon = "interface/icons/inv_misc_food_legion_muskenbutter",
									nbNeed = 32,
									["vendor"] = {core.L["Flrgrrl"]},
									path = "5,3,1,2",
									done = DoneMountTask2[5]["page"][3]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167904,
									itemInfo = {GetItemInfo(167904)},
									itemIcon = "interface/icons/inv_misc_food_legion_goocaramel_chunk",
									nbNeed = 16,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "5,3,1,3",
									done = DoneMountTask2[5]["page"][3]["step"][1]["task"][3]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167896,
									itemInfo = {GetItemInfo(167896)},
									itemIcon = "interface/icons/inv_archaeology_orcclans_jareye",
									nbNeed = 504,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "5,3,2,1",
									done = DoneMountTask2[5]["page"][3]["step"][2]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167905,
									itemInfo = {GetItemInfo(167905)},
									itemIcon = "interface/icons/inv_gizmo_pipe_03",
									nbNeed = 168,
									["vendor"] = {core.L["Grrmrlg"]},
									path = "5,3,2,2",
									done = DoneMountTask2[5]["page"][3]["step"][2]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167909,
									itemInfo = {GetItemInfo(167909)},
									itemIcon = "interface/icons/inv_misc_food_ghoststeak",
									nbNeed = 28,
									["vendor"] = {core.L["Flrgrrl"]},
									path = "5,3,2,3",
									done = DoneMountTask2[5]["page"][3]["step"][2]["task"][3]["done"],
								},
							},
						},
					},
					[3] = { id = 3,
						help = core.L["HelpEtalonP3S3"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 169783,
									itemInfo = {GetItemInfo(169783)},
									itemIcon = "interface/icons/inv_misc_coin_12",
									nbNeed = 4,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "5,3,3,1",
									done = DoneMountTask2[5]["page"][3]["step"][3]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[4] = { id = 4,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page4",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH4-1",
						title = core.L["Mrrl"],
						onMap = {
							nameNPC = core.L["Mrrl"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page4-1",
							pins = {
								{							
									x = 0.4700,
									y = 0.6160,
									zone = 1355,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-1",
						title = core.L["Hrrlgrl"],
						onMap = {
							nameNPC = core.L["Hrrlgrl"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-1",
							pins = {
								{							
									x = 0.4780,
									y = 0.6300,
									zone = 1355,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-2",
						title = core.L["Flrgrrl"],
						onMap = {
							nameNPC = core.L["Flrgrrl"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-2",
							pins = {
								{							
									x = 0.4700,
									y = 0.6260,
									zone = 1355,
								},
							}
						}
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-3",
						title = core.L["Mrrglrlr"],
						onMap = {
							nameNPC = core.L["Mrrglrlr"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-3",
							pins = {
								{							
									x = 0.4840,
									y = 0.6260,
									zone = 1355,
								},
							}
						}
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageH3-4",
						title = core.L["Grrmrlg"],
						onMap = {
							nameNPC = core.L["Grrmrlg"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-4",
							pins = {
								{							
									x = 0.4760,
									y = 0.6160,
									zone = 1355,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpEtalonP4S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167912,
									itemInfo = {GetItemInfo(167912)},
									itemIcon = "interface/icons/inv_misc_food_meat_mincedmeat",
									nbNeed = 288,
									["vendor"] = {core.L["Flrgrrl"]},
									path = "5,4,1,1",
									done = DoneMountTask2[5]["page"][4]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167916,
									itemInfo = {GetItemInfo(167916)},
									itemIcon = "interface/icons/inv_misc_leatherscrap_10",
									nbNeed = 48,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "5,4,1,2",
									done = DoneMountTask2[5]["page"][4]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167908,
									itemInfo = {GetItemInfo(167908)},
									itemIcon = "interface/icons/inv_first_aid_70_ jar",
									nbNeed = 16,
									["vendor"] = {core.L["Grrmrlg"]},
									path = "5,4,1,3",
									done = DoneMountTask2[5]["page"][4]["step"][1]["task"][3]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167896,
									itemInfo = {GetItemInfo(167896)},
									itemIcon = "interface/icons/inv_archaeology_orcclans_jareye",
									nbNeed = 210,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "5,4,2,1",
									done = DoneMountTask2[5]["page"][4]["step"][2]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167905,
									itemInfo = {GetItemInfo(167905)},
									itemIcon = "interface/icons/inv_gizmo_pipe_03",
									nbNeed = 70,
									["vendor"] = {core.L["Grrmrlg"]},
									path = "5,4,2,2",
									done = DoneMountTask2[5]["page"][4]["step"][2]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167913,
									itemInfo = {GetItemInfo(167913)},
									itemIcon = "interface/icons/inv_misc_food_154_fish_77",
									nbNeed = 14,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "5,4,2,3",
									done = DoneMountTask2[5]["page"][4]["step"][2]["task"][3]["done"],
								},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 169780,
									itemInfo = {GetItemInfo(169780)},
									itemIcon = "interface/icons/inv_alchemy_80_alchemiststone02",
									nbNeed = 2,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "5,4,3,1",
									done = DoneMountTask2[5]["page"][4]["step"][3]["task"][1]["done"],
								},
							},
						},
					},
					[4] = { id = 4,
						help = core.L["HelpEtalonP4S4"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 169202,
									itemInfo = {GetItemInfo(169202)},
									itemIcon = "interface/icons/inv_hippocampusmount_red",
									nbNeed = 1,
									["vendor"] = {core.L["Mrrl"]},
									done = core.libs.getCompletedMount(1260),
								},
							},
						},
					},
				},
			},
		},
	},
	[6] = {
		id = 6,
		faction = "Alliance",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(1260)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(1260)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_good",
		Model = { id = 88770,
				camDist = 0.9,
				rotation = 1,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_page1",
						title = C_QuestLog.GetQuestInfo(55983),
						onMap = {
							nameNPC = C_QuestLog.GetQuestInfo(55983),
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/quest_map",
							pins = {
								{							
									x = 0.4820,
									y = 0.4520,
									zone = 1355,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpEtalonP1S1"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(55983),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(55983)},
							},
						},
					},
					[2] = { id = 2,
						helpI = core.L["HelpEtalonP1S2"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(55529),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(55529)},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_page2-1",
						title = core.L["Murloco"],
						onMap = {
							nameNPC = core.L["Murloco"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page2-1",
							pins = {
								{							
									x = 0.4560,
									y = 0.3240,
									zone = 1355,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpEtalonP2S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 170100,
									itemInfo = {GetItemInfo(170100)},
									itemIcon = "interface/icons/inv_misc_food_111_icefinfillet",
									nbNeed = 1,
									["vendor"] = {core.L["Murloco"]},
									path = "6,2,1,1",
									done = DoneMountTask2[6]["page"][2]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-1",
						title = core.L["Hrrlgrl"],
						onMap = {
							nameNPC = core.L["Hrrlgrl"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-1",
							pins = {
								{							
									x = 0.3860,
									y = 0.5460,
									zone = 1355,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-2",
						title = core.L["Flrgrrl"],
						onMap = {
							nameNPC = core.L["Flrgrrl"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-2",
							pins = {
								{							
									x = 0.3980,
									y = 0.5340,
									zone = 1355,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-3",
						title = core.L["Mrrglrlr"],
						onMap = {
							nameNPC = core.L["Mrrglrlr"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-3",
							pins = {
								{
									x = 0.3880,
									y = 0.5480,
									zone = 1355,
								},
							}
						}
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-4",
						title = core.L["Grrmrlg"],
						onMap = {
							nameNPC = core.L["Grrmrlg"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-4",
							pins = {
								{							
									x = 0.3760,
									y = 0.5360,
									zone = 1355,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpEtalonP3S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167915,
									itemInfo = {GetItemInfo(167915)},
									itemIcon = "interface/icons/inv_misc_food_vendor_mogupumpkin",
									nbNeed = 128,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "6,3,1,1",
									done = DoneMountTask2[6]["page"][3]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167911,
									itemInfo = {GetItemInfo(167911)},
									itemIcon = "interface/icons/inv_misc_food_legion_muskenbutter",
									nbNeed = 32,
									["vendor"] = {core.L["Flrgrrl"]},
									path = "6,3,1,2",
									done = DoneMountTask2[6]["page"][3]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167904,
									itemInfo = {GetItemInfo(167904)},
									itemIcon = "interface/icons/inv_misc_food_legion_goocaramel_chunk",
									nbNeed = 16,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "6,3,1,3",
									done = DoneMountTask2[6]["page"][3]["step"][1]["task"][3]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167896,
									itemInfo = {GetItemInfo(167896)},
									itemIcon = "interface/icons/inv_archaeology_orcclans_jareye",
									nbNeed = 504,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "6,3,2,1",
									done = DoneMountTask2[6]["page"][3]["step"][2]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167905,
									itemInfo = {GetItemInfo(167905)},
									itemIcon = "interface/icons/inv_gizmo_pipe_03",
									nbNeed = 168,
									["vendor"] = {core.L["Grrmrlg"]},
									path = "6,3,2,2",
									done = DoneMountTask2[6]["page"][3]["step"][2]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167909,
									itemInfo = {GetItemInfo(167909)},
									itemIcon = "interface/icons/inv_misc_food_ghoststeak",
									nbNeed = 28,
									["vendor"] = {core.L["Flrgrrl"]},
									path = "6,3,2,3",
									done = DoneMountTask2[6]["page"][3]["step"][2]["task"][3]["done"],
								},
							},
						},
					},
					[3] = { id = 3,
						help = core.L["HelpEtalonP3S3"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 169783,
									itemInfo = {GetItemInfo(169783)},
									itemIcon = "interface/icons/inv_misc_coin_12",
									nbNeed = 4,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "6,3,3,1",
									done = DoneMountTask2[6]["page"][3]["step"][3]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[4] = { id = 4,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/etalon_page4",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA4-1",
						title = core.L["Mrrl"],
						onMap = {
							nameNPC = core.L["Mrrl"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page4-1",
							pins = {
								{							
									x = 0.3920,
									y = 0.5420,
									zone = 1355,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-1",
						title = core.L["Hrrlgrl"],
						onMap = {
							nameNPC = core.L["Hrrlgrl"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-1",
							pins = {
								{							
									x = 0.3860,
									y = 0.5460,
									zone = 1355,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-2",
						title = core.L["Flrgrrl"],
						onMap = {
							nameNPC = core.L["Flrgrrl"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-2",
							pins = {
								{							
									x = 0.3980,
									y = 0.5340,
									zone = 1355,
								},
							}
						}
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-3",
						title = core.L["Mrrglrlr"],
						onMap = {
							nameNPC = core.L["Mrrglrlr"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-3",
							pins = {
								{
									x = 0.3880,
									y = 0.5480,
									zone = 1355,
								},
							}
						}
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/etalon_pageA3-4",
						title = core.L["Grrmrlg"],
						onMap = {
							nameNPC = core.L["Grrmrlg"],
							nameZone = core.L["Nazjatar"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/etalon_page3-4",
							pins = {
								{							
									x = 0.3760,
									y = 0.5360,
									zone = 1355,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						help = core.L["HelpEtalonP4S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167912,
									itemInfo = {GetItemInfo(167912)},
									itemIcon = "interface/icons/inv_misc_food_meat_mincedmeat",
									nbNeed = 288,
									["vendor"] = {core.L["Flrgrrl"]},
									path = "6,4,1,1",
									done = DoneMountTask2[6]["page"][4]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167916,
									itemInfo = {GetItemInfo(167916)},
									itemIcon = "interface/icons/inv_misc_leatherscrap_10",
									nbNeed = 48,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "6,4,1,2",
									done = DoneMountTask2[6]["page"][4]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167908,
									itemInfo = {GetItemInfo(167908)},
									itemIcon = "interface/icons/inv_first_aid_70_ jar",
									nbNeed = 16,
									["vendor"] = {core.L["Grrmrlg"]},
									path = "6,4,1,3",
									done = DoneMountTask2[6]["page"][4]["step"][1]["task"][3]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 167896,
									itemInfo = {GetItemInfo(167896)},
									itemIcon = "interface/icons/inv_archaeology_orcclans_jareye",
									nbNeed = 210,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "6,4,2,1",
									done = DoneMountTask2[6]["page"][4]["step"][2]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 167905,
									itemInfo = {GetItemInfo(167905)},
									itemIcon = "interface/icons/inv_gizmo_pipe_03",
									nbNeed = 70,
									["vendor"] = {core.L["Grrmrlg"]},
									path = "6,4,2,2",
									done = DoneMountTask2[6]["page"][4]["step"][2]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 167913,
									itemInfo = {GetItemInfo(167913)},
									itemIcon = "interface/icons/inv_misc_food_154_fish_77",
									nbNeed = 14,
									["vendor"] = {core.L["Hrrlgrl"]},
									path = "6,4,2,3",
									done = DoneMountTask2[6]["page"][4]["step"][2]["task"][3]["done"],
								},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 169780,
									itemInfo = {GetItemInfo(169780)},
									itemIcon = "interface/icons/inv_alchemy_80_alchemiststone02",
									nbNeed = 2,
									["vendor"] = {core.L["Mrrglrlr"]},
									path = "6,4,3,1",
									done = DoneMountTask2[6]["page"][4]["step"][3]["task"][1]["done"],
								},
							},
						},
					},
					[4] = { id = 4,
						help = core.L["HelpEtalonP4S4"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 169202,
									itemInfo = {GetItemInfo(169202)},
									itemIcon = "interface/icons/inv_hippocampusmount_red",
									nbNeed = 1,
									["vendor"] = {core.L["Mrrl"]},
									done = core.libs.getCompletedMount(1260),
								},
							},
						},
					},
				},
			},
		},
	},
	[7] = {
		id = 7,
		faction = "Neutral",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(1028)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(1028)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/meca_nabab_good",
		Model = { id = 80864,
				camDist = 0.75,
				rotation = 0.75,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/meca_nabab_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/meca_nabab_page1",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpMecaP1S1"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 152513,
									itemInfo = {GetItemInfo(152513)},
									itemIcon = "interface/icons/inv_ore_platinum",
									nbNeed = 20,
									["loot"] = {
										[1] = {
											nameNPC = core.L["GisePlat"],
											pourcentageDrop = 0,
										},
									},
									path = "7,1,1,1",
									done = DoneMountTask2[7]["page"][1]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 152579,
									itemInfo = {GetItemInfo(152579)},
									itemIcon = "interface/icons/inv_ore_stormsilver",
									nbNeed = 50,
									["loot"] = {
										[1] = {
											nameNPC = core.L["GiseFoudre"],
											pourcentageDrop = 0,
										},
										[2] = {
											nameNPC = core.L["VeineFoudre"],
											pourcentageDrop = 0,
										},
									},
									path = "7,1,1,2",
									done = DoneMountTask2[7]["page"][1]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 163569,
									itemInfo = {GetItemInfo(163569)},
									itemIcon = "interface/icons/inv_jewelcrafting_delicatecopperwire",
									nbNeed = 20,
									["vendor"] = {core.L["Pristie"]},
									path = "7,1,1,3",
									done = DoneMountTask2[7]["page"][1]["step"][1]["task"][3]["done"],
								},
							},
							[4] = { id = 4,
								["need"] = {
									itemId = 152668,
									itemInfo = {GetItemInfo(152668)},
									itemIcon = "interface/icons/inv_expulsom",
									nbNeed = 25,
									["loot"] = {
										[1] = {
											nameNPC = core.L["FerrailleurA"],
											pourcentageDrop = 0,
										},
										[2] = {
											nameNPC = core.L["FerrailleurH"],
											pourcentageDrop = 0,
										},
									},
									path = "7,1,1,4",
									done = DoneMountTask2[7]["page"][1]["step"][1]["task"][4]["done"],
								},
							},
							[5] = { id = 5,
								["need"] = {
									itemId = 162460,
									itemInfo = {GetItemInfo(162460)},
									itemIcon = "interface/icons/inv_tradeskillitem_lessersorcererswater",
									nbNeed = 3,
									["create"] = {
										[1] = {
											compoId = 165948,
											nbNeed = 1,
										},
										[2] = {
											compoId = 160502,
											nbNeed = 5,
										},
									},
									path = "7,1,1,5",
									done = DoneMountTask2[7]["page"][1]["step"][1]["task"][5]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						help = core.L["HelpMecaP1S2"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 160488,
									itemInfo = {GetItemInfo(160488)},
									itemIcon = "interface/icons/inv_helm_goggles_draenortradeskill_d_01",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 152513,
											nbNeed = 20,
										},
										[2] = {
											compoId = 152579,
											nbNeed = 50,
										},
										[3] = {
											compoId = 163569,
											nbNeed = 20,
										},
										[4] = {
											compoId = 152668,
											nbNeed = 25,
										},
										[5] = {
											compoId = 162460,
											nbNeed = 3,
										},
									},
									path = "7,1,2,1",
									done = DoneMountTask2[7]["page"][1]["step"][2]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 160489,
									itemInfo = {GetItemInfo(160489)},
									itemIcon = "interface/icons/inv_helm_goggles_draenortradeskill_d_01",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 152513,
											nbNeed = 20,
										},
										[2] = {
											compoId = 152579,
											nbNeed = 50,
										},
										[3] = {
											compoId = 163569,
											nbNeed = 20,
										},
										[4] = {
											compoId = 152668,
											nbNeed = 25,
										},
										[5] = {
											compoId = 162460,
											nbNeed = 3,
										},
									},
									path = "7,1,2,1",
									done = DoneMountTask2[7]["page"][1]["step"][2]["task"][1]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 160490,
									itemInfo = {GetItemInfo(160490)},
									itemIcon = "interface/icons/inv_helm_goggles_draenortradeskill_d_01",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 152513,
											nbNeed = 20,
										},
										[2] = {
											compoId = 152579,
											nbNeed = 50,
										},
										[3] = {
											compoId = 163569,
											nbNeed = 20,
										},
										[4] = {
											compoId = 152668,
											nbNeed = 25,
										},
										[5] = {
											compoId = 162460,
											nbNeed = 3,
										},
									},
									path = "7,1,2,1",
									done = DoneMountTask2[7]["page"][1]["step"][2]["task"][1]["done"],
								},
							},
							[4] = { id = 4,
								["need"] = {
									itemId = 160491,
									itemInfo = {GetItemInfo(160491)},
									itemIcon = "interface/icons/inv_helm_goggles_draenortradeskill_d_01",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 152513,
											nbNeed = 20,
										},
										[2] = {
											compoId = 152579,
											nbNeed = 50,
										},
										[3] = {
											compoId = 163569,
											nbNeed = 20,
										},
										[4] = {
											compoId = 152668,
											nbNeed = 25,
										},
										[5] = {
											compoId = 162460,
											nbNeed = 3,
										},
									},
									path = "7,1,2,1",
									done = DoneMountTask2[7]["page"][1]["step"][2]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/meca_nabab_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/meca_nabab_page2",
						title = core.L["Nabab"],
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 161135,
									itemInfo = {GetItemInfo(161135)},
									itemIcon = "interface/icons/inv_scroll_03",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["NababM+"],
											pourcentageDrop = 0,
										},
									},
									path = "7,2,1,1",
									done = DoneMountTask2[7]["page"][2]["step"][1]["task"][1]["done"],
								},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/meca_nabab_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/meca_nabab_page3-1",
						title = core.L["DrSvB"],
						stepAssigned = 2,
						onMap = {
							nameNPC = core.L["DrSvB"],
							nameZone = core.L["LeFilon"].." ("..core.L["Dungeon"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/meca_nabab_page3-1",
							pins = {
								{
									x = 0.5319,
									y = 0.5879,
									zone = 1010,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/meca_nabab_page3-2",
						title = core.L["Disperseur"],
						stepAssigned = 3,
						onMap = {
							nameNPC = core.L["Disperseur"],
							nameZone = core.L["LeFilon"].." ("..core.L["Dungeon"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/meca_nabab_page3-2",
							pins = {
								{
									x = 0.4566,
									y = 0.4762,
									zone = 1010,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/meca_nabab_page3-3",
						title = core.L["Extracteur"],
						stepAssigned = 3,
						onMap = {
							nameNPC = core.L["Extracteur"],
							nameZone = core.L["LeFilon"].." ("..core.L["Dungeon"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/meca_nabab_page3-3",
							pins = {
								{
									x = 0.3436,
									y = 0.4742,
									zone = 1010,
								},
							}
						}
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/meca_nabab_page3-4",
						title = core.L["MachineK"],
						stepAssigned = 3,
						onMap = {
							nameNPC = core.L["MachineK"],
							nameZone = core.L["LeFilon"].." ("..core.L["Dungeon"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/meca_nabab_page3-4",
							pins = {
								{
									x = 0.6683,
									y = 0.2176,
									zone = 1010,
								},
							}
						}
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/meca_nabab_page3-5",
						title = core.L["Pacificateur"],
						stepAssigned = 3,
						onMap = {
							nameNPC = core.L["Pacificateur"],
							nameZone = core.L["LeFilon"].." ("..core.L["Dungeon"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/meca_nabab_page3-5",
							pins = {
								{
									x = 0.4950,
									y = 0.6179,
									zone = 1010,
								},
							}
						}
					},
					[6] = { id = 6,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/meca_nabab_page3-6",
						title = core.L["CerveauK"],
						stepAssigned = 4,
						onMap = {
							nameNPC = core.L["CerveauK"],
							nameZone = core.L["LeFilon"].." ("..core.L["Dungeon"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/meca_nabab_page3-6",
							pins = {
								{
									x = 0.4470,
									y = 0.2236,
									zone = 1010,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 152513,
									itemInfo = {GetItemInfo(152513)},
									itemIcon = "interface/icons/inv_ore_platinum",
									nbNeed = 50,
									["loot"] = {
										[1] = {
											nameNPC = core.L["GisePlat"],
											pourcentageDrop = 0,
										},
									},
									path = "7,3,1,1",
									done = DoneMountTask2[7]["page"][3]["step"][1]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 152579,
									itemInfo = {GetItemInfo(152579)},
									itemIcon = "interface/icons/inv_ore_stormsilver",
									nbNeed = 100,
									["loot"] = {
										[1] = {
											nameNPC = core.L["GiseFoudre"],
											pourcentageDrop = 0,
										},
										[2] = {
											nameNPC = core.L["VeineFoudre"],
											pourcentageDrop = 0,
										},
									},
									path = "7,3,1,2",
									done = DoneMountTask2[7]["page"][3]["step"][1]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 152668,
									itemInfo = {GetItemInfo(152668)},
									itemIcon = "interface/icons/inv_expulsom",
									nbNeed = 20,
									["loot"] = {
										[1] = {
											nameNPC = core.L["FerrailleurA"],
											pourcentageDrop = 0,
										},
										[2] = {
											nameNPC = core.L["FerrailleurH"],
											pourcentageDrop = 0,
										},
									},
									path = "7,3,1,3",
									done = DoneMountTask2[7]["page"][3]["step"][1]["task"][3]["done"],
								},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 161131,
									itemInfo = {GetItemInfo(161131)},
									itemIcon = "interface/icons/inv_gizmo_khoriumpowercore",
									nbNeed = 1,
									["vendor"] = {core.L["DrSvB"]},
									path = "7,3,2,1",
									done = DoneMountTask2[7]["page"][3]["step"][2]["task"][1]["done"],
								},
							},
						},
					},
					[3] = { id = 3,
						help = core.L["HelpMecaP3S3"] ,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 161136,
									itemInfo = {GetItemInfo(161136)},
									itemIcon = "interface/icons/inv_gizmo_mithrilcasing_02",
									nbNeed = 20,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Disperseur"],
											pourcentageDrop = 32,
										},
										[2] = {
											nameNPC = core.L["Extracteur"],
											pourcentageDrop = 16,
										},
										[3] = {
											nameNPC = core.L["MachineK"],
											pourcentageDrop = 15,
										},
										[4] = {
											nameNPC = core.L["Pacificateur"],
											pourcentageDrop = 13,
										},
									},
									path = "7,3,3,1",
									done = DoneMountTask2[7]["page"][3]["step"][3]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 161137,
									itemInfo = {GetItemInfo(161137)},
									itemIcon = "interface/icons/inv_misc_enggizmos_30",
									nbNeed = 20,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Disperseur"],
											pourcentageDrop = 10,
										},
										[2] = {
											nameNPC = core.L["Extracteur"],
											pourcentageDrop = 4,
										},
										[3] = {
											nameNPC = core.L["MachineK"],
											pourcentageDrop = 3,
										},
										[4] = {
											nameNPC = core.L["Pacificateur"],
											pourcentageDrop = 3,
										},
									},
									path = "7,3,3,2",
									done = DoneMountTask2[7]["page"][3]["step"][3]["task"][2]["done"],
								},
							},
							[3] = { id = 3,
								["need"] = {
									itemId = 161132,
									itemInfo = {GetItemInfo(161132)},
									itemIcon = "interface/icons/inv_rod_platinum",
									nbNeed = 20,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Disperseur"],
											pourcentageDrop = 17,
										},
										[2] = {
											nameNPC = core.L["Extracteur"],
											pourcentageDrop = 12,
										},
										[3] = {
											nameNPC = core.L["MachineK"],
											pourcentageDrop = 9,
										},
										[4] = {
											nameNPC = core.L["Pacificateur"],
											pourcentageDrop = 10,
										},
									},
									path = "7,3,3,3",
									done = DoneMountTask2[7]["page"][3]["step"][3]["task"][3]["done"],
								},
							},
						},
					},
					[4] = { id = 4,
						helpI = core.L["HelpMecaP3S4"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 161138,
									itemInfo = {GetItemInfo(161138)},
									itemIcon = "interface/icons/inv_holiday_tow_spicepotion03",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["CerveauK"],
											pourcentageDrop = 32,
										},
									},
									path = "7,3,4,1",
									done = DoneMountTask2[7]["page"][3]["step"][4]["task"][1]["done"],
								},
							},
							[2] = { id = 2,
								["need"] = {
									itemId = 161129,
									itemInfo = {GetItemInfo(161129)},
									itemIcon = "interface/icons/inv_gizmo_goblingtonkcontroller",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["Nabab"],
											pourcentageDrop = 0,
										},
									},
									path = "7,3,4,2",
									done = DoneMountTask2[7]["page"][3]["step"][4]["task"][2]["done"],
								},
							},
						},
					},
					[5] = { id = 5,
						help = core.L["HelpMecaP3S5"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 161134,
									itemInfo = {GetItemInfo(161134)},
									itemIcon = "interface/icons/achievement_dungeon_mogulrazdunk",
									nbNeed = 1,
									["create"] = {
										[1] = {
											compoId = 152513,
											nbNeed = 50,
										},
										[2] = {
											compoId = 152579,
											nbNeed = 100,
										},
										[3] = {
											compoId = 152668,
											nbNeed = 20,
										},
										[4] = {
											compoId = 161136,
											nbNeed = 20,
										},
										[5] = {
											compoId = 161137,
											nbNeed = 20,
										},
										[6] = {
											compoId = 161132,
											nbNeed = 20,
										},
										[7] = {
											compoId = 161131,
											nbNeed = 1,
										},
										[8] = {
											compoId = 161129,
											nbNeed = 1,
										},
									},
									done = core.libs.getCompletedMount(1028);
								},
							},
						},
					},
				},
			},
		},
	},
	[8] = {
		id = 8,
		faction = "Neutral",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(947)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(947)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/serpent_esprit_good",
		Model = { id = 74314,
				camDist = 0.75,
				rotation = 1,
		},
		expansion = "Legion",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/serpent_esprit_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1-1",
						title = core.L["Page"].."9",
						stepAssigned = 1,
						onMap = {
							nameNPC = core.L["Page"].."9",
							nameZone = core.L["DalaranLegion"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/page_map",
							pins = {
								{							
									x = 0.4881,
									y = 0.4212,
									zone = 627,
								},
							}
						}
					},
					[2] = { id = 2,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1-2",
						title = core.L["Page"].."78",
						stepAssigned = 2,
						onMap = {
							nameNPC = core.L["Page"].."78",
							nameZone = core.L["Duskwood"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/page_map",
							pins = {
								{							
									x = 0.4920,
									y = 0.3410,
									zone = 47,
								},
							}
						}
					},
					[3] = { id = 3,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1-3",
						title = core.L["Page"].."161",
						stepAssigned = 3,
						onMap = {
							nameNPC = core.L["Page"].."161",
							nameZone = core.L["Firelands"].." ("..core.L["Raid"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/page_map",
							pins = {
								{							
									x = 0.4668,
									y = 0.1647,
									zone = 369,
								},
							}
						}
					},
					[4] = { id = 4,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1-4",
						title = core.L["Page"].."655",
						stepAssigned = 4,
						onMap = {
							nameNPC = core.L["Page"].."655",
							nameZone = core.L["Uldum"].." ("..core.L["Kalimdor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/page_map",
							pins = {
								{							
									x = 0.7050,
									y = 0.7810,
									zone = 249,
								},
							}
						}
					},
					[5] = { id = 5,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1-5",
						title = core.L["Page"].."845",
						stepAssigned = 5,
						onMap = {
							nameNPC = core.L["Page"].."845",
							nameZone = core.L["SiegeOrgri"].." ("..core.L["Raid"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/page_map",
							pins = {
								{							
									x = 0.1960,
									y = 0.8331,
									zone = 558,
								},
							}
						}
					},
					[6] = { id = 6,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1-6",
						title = core.L["Page"].."1127",
						stepAssigned = 6,
						onMap = {
							nameNPC = core.L["Page"].."1127",
							nameZone = core.L["PuitsEternity"].." ("..core.L["Dungeon"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/page_map",
							pins = {
								{							
									x = 0.7500,
									y = 0.6600,
									zone = 398,
								},
							}
						}
					},
					[7] = { id = 7,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1-7",
						title = core.L["Page"].."2351",
						stepAssigned = 7,
						onMap = {
							nameNPC = core.L["Page"].."2351",
							nameZone = core.L["KunLai"].." ("..core.L["Pandaria"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/page_map",
							pins = {
								{							
									x = 0.3466,
									y = 0.5081,
									zone = 379,
								},
							}
						}
					},
					[8] = { id = 8,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1-8",
						title = core.L["Page"].."5555",
						stepAssigned = 8,
						onMap = {
							nameNPC = core.L["Page"].."5555",
							nameZone = core.L["Uldum"].." ("..core.L["Kalimdor"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/page_map",
							pins = {
								{							
									x = 0.7650,
									y = 0.5360,
									zone = 249,
								},
							}
						}
					},
					[9] = { id = 9,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/serpent_esprit_page1-9",
						title = core.L["CoffreEsprit"],
						stepAssigned = 9,
						onMap = {
							nameNPC = core.L["CoffreEsprit"],
							nameZone = core.L["Westfall"].." ("..core.L["EstKingdom"]..")",
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/serpent_esprit_page1-9",
							pins = {
								{							
									x = 0.3060,
									y = 0.2740,
									zone = 52,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["HelpEspritP1S1"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."9",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(45470)},
							},
						},
					},
					[2] = { id = 2,
						help = core.L["HelpEspritP1S2"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."78",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(47207)},
							},
						},
					},
					[3] = { id = 3,
						help = core.L["HelpEspritP1S3"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."161",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(47208)},
							},
						},
					},
					[4] = { id = 4,
						help = core.L["HelpEspritP1S4"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."655",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(47209)},
							},
						},
					},
					[5] = { id = 5,
						help = core.L["HelpEspritP1S5"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."845",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(47210)},
							},
						},
					},
					[6] = { id = 6,
						help = core.L["HelpEspritP1S6"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."1127",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(47211)},
							},
						},
					},
					[7] = { id = 7,
						help = core.L["HelpEspritP1S7"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."2351",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(47212)},
							},
						},
					},
					[8] = { id = 8,
						help = core.L["HelpEspritP1S8"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = core.L["Page"].."5555",
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(47213)},
							},
						},
					},
					[9] = { id = 9,
						help = core.L["HelpEspritP1S9"],
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 147835,
									itemInfo = {GetItemInfo(147835)},
									itemIcon = "interface/icons/inv_serpentmount_darkblue",
									nbNeed = 1,
									["loot"] = {
										[1] = {
											nameNPC = core.L["CoffreEsprit"],
											pourcentageDrop = 0,
										},
									},
									done = core.libs.getCompletedMount(947);
								},
							},
						},
					},
				},
			},
		},
	},
	[9] = {
		id = 9,
		faction = "Neutral",
		["infoMount"] = {C_MountJournal.GetMountInfoByID(1320)},
		["extraInfoMount"] = {C_MountJournal.GetMountInfoExtraByID(1320)},
		icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/shadowBarb_good",
		Model = { id = 94880,
				camDist = 1.1,
				rotation = 1,
		},
		expansion = "Battle for Azeroth",
		page = {
			[1] = { id = 1,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/shadowBarb_page1",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/shadowBarb_page1-1",
						title = core.L["Oeuf touché par le Vide"],
						stepAssigned = 1,
						onMap = {
							nameNPC = core.L["Oeuf touché par le Vide"],
							nameZone = core.L["Uldum"],
							icon = "Interface/AddOns/WoWChallenger/images/mounts/icons_map/shadowBarb_page1-1",
							pins = {
								{							
									x = 0.2075,
									y = 0.6189,
									zone = 1527,
								},
							}
						}
					},
				},
				step = {
					[1] = { id = 1,
						helpI = core.L["ShadowBarbP1S1"],
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58802),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58802)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58803),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58803)},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58804),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58804)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58807),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58807)},
							},
							[3] = { id = 3,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58809),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58809)},
							},
							[4] = { id = 4,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58808),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58808)},
							},
						},
					},
				},
			},
			[2] = { id = 2,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/shadowBarb_page2",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/shadowBarb_page2-1",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58810),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58810)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58811),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58811)},
							},
						},
					},
					[2] = { id = 2,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58812),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58812)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58813),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58813)},
							},
							[3] = { id = 3,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58825),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58825)},
							},
							[4] = { id = 4,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58817),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58817)},
							},
							[5] = { id = 5,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58818),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58818)},
							},
							[6] = { id = 6,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58826),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58826)},
							},
						},
					},
				},
			},
			[3] = { id = 3,
				icon = "Interface/AddOns/WoWChallenger/images/mounts/icons/shadowBarb_page3",
				imgT = {
					[1] = { id = 1,
						path = "Interface/AddOns/WoWChallenger/images/mounts/pct_page/shadowBarb_page3-1",
						title = "",
					},
				},
				step = {
					[1] = { id = 1,
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58829),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58829)},
							},
						},
					},
					[2] = { id = 2,
					helpI = core.L["ShadowBarbP3S2"];
						task = {
							[1] = { id = 1,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58863),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58863)},
							},
							[2] = { id = 2,
								["quest"] = {
									title = C_QuestLog.GetQuestInfo(58865),
									desc = core.L["DescQuest"],
									completed = IsQuestFlaggedCompleted(58865)},
							},
						},
					},
					[3] = { id = 3,
						task = {
							[1] = { id = 1,
								["need"] = {
									itemId = 174771,
									itemInfo = {GetItemInfo(174771)},
									itemIcon = "interface/icons/inv_aqirflyingmount_purple",
									nbNeed = 1,
									["quest"] = {
										title = C_QuestLog.GetQuestInfo(58866),
									},
									done = core.libs.getCompletedMount(1320);
								},
							},
						},
					},
				},
			},
		},
	},
}
end
core.Loadmounts = loadMounts;